package nc.vo.pu.m23.rule.api.check;

import java.util.List;
import nc.vo.pub.ValidationException;
import nc.vo.pubapp.pattern.model.entity.bill.AbstractBill;
import nc.vo.pubapp.pattern.pub.MapList;
import nc.vo.scmpub.check.vovalidate.VONullValidate;

public class PUArriveVONullValidate extends VONullValidate {
	public String[] getHeadNotNullFields() {
		return new String[] { "pk_org", "pk_purchaseorg", "pk_supplier", "pk_dept"};
	}

	public String[] getBodyNotNullFields() {
		return new String[] { "pk_srcmaterial", "vchangerate", "nastnum", "nplanastnum" };
	}

	public MapList<String, String> getMultiBodyNotNullFields() {
		return null;
	}

	public void otherCheck(AbstractBill billVO, List<ValidationException> exceptions) {
		String[] checkField = new String[0];
	}
}
